curl -X POST 'https://api.weir.ai/pax/start/pods' \
-H 'Authorization: Bearer YOUR_ADMIN_ACCESS_TOKEN'
{
"data": {
"podsStarted": 5,
"startedAt": "2024-01-22T15:30:00Z"
},
"message": "All pods started successfully",
"status": "success"
}
Admin APIs - Pods
Start All Pods
Start all system pods
POST
/
pax
/
start
/
pods
curl -X POST 'https://api.weir.ai/pax/start/pods' \
-H 'Authorization: Bearer YOUR_ADMIN_ACCESS_TOKEN'
{
"data": {
"podsStarted": 5,
"startedAt": "2024-01-22T15:30:00Z"
},
"message": "All pods started successfully",
"status": "success"
}
Start All Pods
Start all pods in the system simultaneously.curl -X POST 'https://api.weir.ai/pax/start/pods' \
-H 'Authorization: Bearer YOUR_ADMIN_ACCESS_TOKEN'
{
"data": {
"podsStarted": 5,
"startedAt": "2024-01-22T15:30:00Z"
},
"message": "All pods started successfully",
"status": "success"
}
Usage Examples
const startAllPods = async (accessToken) => {
const response = await fetch('https://api.weir.ai/pax/start/pods', {
method: 'POST',
headers: { 'Authorization': `Bearer ${accessToken}` }
});
if (!response.ok) throw new Error(`HTTP error! status: ${response.status}`);
return await response.json();
};
System Impact: Starting all pods simultaneously may cause high system load.
Was this page helpful?
⌘I